Subject: [DNSOP] Terminology: IDN

From: Paul Hoffman <[email-masked]>
Date: Mon, 4 May 2015 07:58:04 -0700

Greetings. As I was removing the definition of ccTLDs based on the recent discussion, I realized that there was no stand-alone definition of IDNs. Proposal:

IDN --- The common abbreviation for "internationalized domain name". IDNs are the standard
mechanism for displaying names with non-ASCII characters in applications. The standard,
normally called "IDNA2008", is defined in {{RFC5890}}, {{RFC5891}}, {{RFC5892}},
{{RFC5893}}, and {{RFC5894}}.

--Paul Hoffman

---

From: Rubens Kuhl <[email-masked]>
Date: Mon, 4 May 2015 12:11:45 -0300

> Em 04/05/2015, à(s) 11:58:000, Paul Hoffman <[email-masked]> escreveu:
> 

Paul,

I prefer changing "standard" to "current standard", since IDNA2008 use can be deprecated in favor of IDNA201x, like IDNA2008 replaced IDNA2003. 

Rubens

---

From: Edward Lewis <[email-masked]>
Date: Mon, 4 May 2015 15:13:13 +0000

I'm going to ask this as a question, not a comment, directed to those who
know something about IDN.

Isn't IDNA2008 a "convention" on top of the representation?  And, this
isn't about display, it's about, well, encapsulation, maybe?  And isn't
IDN tied to Unicode?

I ask for a few reasons - "non-ASCII" might include raw binary or bit
encodings other than Unicode.
The punycode algorithm maps Unicode (code points) to DNS-label compatible
strings.  (No-case, etc.)
IDNA 2008 is a treatment of labels generated by the punycode algorithm to
achieve a number of other goals.

(I guarantee you I am missing something in the above, like Normalization
Forms and such.)

When I use "IDN" I think of a representation of a Unicode string in a DNS
label according to a bunch of conventions.  Perhaps IDN is taking on a
wider meaning.  I don't know.

On 5/4/15, 10:58, "Paul Hoffman" <[email-masked]> wrote:

>Greetings. As I was removing the definition of ccTLDs based on the recent
>discussion, I realized that there was no stand-alone definition of IDNs.
>Proposal:
>
>_______________________________________________
>DNSOP mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dnsop

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 4 May 2015 08:16:10 -0700

> I prefer changing "standard" to "current standard", since IDNA2008 use can be deprecated in favor of IDNA201x, like IDNA2008 replaced IDNA2003. 

As one of the primary authors of IDNA2003, and a minor author of IDNA2008, I agree. :-)

--Paul Hoffman

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 4 May 2015 08:24:10 -0700

On May 4, 2015, at 8:13 AM, Edward Lewis <[email-masked]> wrote:
> Isn't IDNA2008 a "convention" on top of the representation?  

IDNA2008 is a set of standards-track documents. It is the only standardized way to convert between DNS names and representation of non-ASCII characters in the DNS.

> And, this
> isn't about display, it's about, well, encapsulation, maybe?

It is about those, and about on-the-wire representation as well.

>  And isn't

For someone being pedantic, your use of "tied to" seems awfully vague. :-) IDNA2008 refers normatively to the Unicode Standard, yes.

> encodings other than Unicode.

It does. And there is no standardized way of representing those in domain names in applications yet. If someone creates one and gets it standardized, we can update the definition. I'm willing to bet this will never happen.

> The punycode algorithm maps Unicode (code points) to DNS-label compatible

Yes.

> achieve a number of other goals.

It is also a standardized definition of how to generate those labels.

> (I guarantee you I am missing something in the above, like Normalization

Yes. But note that I'm not suggesting that you read the RFCs, just answering your questions.

> label according to a bunch of conventions.  

Good! That's a reasonable guess, although a subset of what it really is.

> Perhaps IDN is taking on a

The purpose of the terminology draft is to point people towards the general definition of a term, and give pointers to the exact definitions where possible. For "IDN", I believe this is the best we can do. Other suggestions are welcome.

--Paul Hoffman

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 4 May 2015 16:40:50 +0100

On Mon, May 04, 2015 at 08:24:10AM -0700, Paul Hoffman wrote:
> IDNA2008 is a set of standards-track documents.

This is true.

> It is the only standardized way to convert between DNS names and representation of non-ASCII characters in the DNS.
> 

This is not quite true, and anyway not convincing.  What is true is
that there is no real standard way to interpret a bag of bits in a DNS
label except as an ASCII character, so IDNA is the only
fully-developed IETF standard for this.  But DNS-SD (RFC 6763)
actually says that you should interpret such labels as UTF-8.  It is
also well-known that some widely-deployed systems that rely on DNS
names interpret a label with a high bit as UTF-8.  And such uses are
entirely in keeping with STD 13.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]